SkyEagle Compatible with MagSafe iPhone 17 Case Wallet,Black
$15.99
Product Information
ASINB0FGWCQB68
CategoryElectronics
AvailabilityIn Stock
MerchantSkyEagle - US
About this item
- Compatibility:This Wallet Case only Designed for iPhone 17.(Compatible with iPhone 17 6.3-inch display released in 2025)Before purchasing,kindly check your phone's model(Settings–General–About–Model Name)to ensure compatibility
- Wireless Charging Compatibility:Designed with a built-in magnetic array,compatible with MagSafe accessories and Qi-certified wireless chargers,offering multiple charging options
- Practical Card Holder:5 card slots for ID card,credit cards or some cash,without taking purse to outdoor.Use RFID blocking materials inside the card slot to prevent unauthorized scanners from protecting your card information
- Phone case with stand function:The phone case supports the phone to stand independently after the flip cover is opened,which is very convenient for watching movies,video calls,and reading
- Screen and Camera Protection:With 0.5 mm Raised Edge Over Camera and 1.5 mm Raised Edge Over Screen,this phone case is more protective and practical
Similar Items
Charger for Andis ProFoil TS-1 & TS-2 Shaver for Andis17150 17155 17165 17170 17195 17200 17205 17220 Shaver Quick Recharge$9.89
Charger Compatible with Philips Norelco OneBlade QP2724 QP2834 MG5910 MG7910 MG9510 MG9520 PQ888 PQ889, Power Cord for Norelco Shaver 2400 3600 USB-A Charging Cable with USB Charger, Pno-UCCU$5.66
Magnetic USB C to USB C Coiled Cable Flat 5FT, 60W Fast Charging$16.99
12V Charger for Braun Shaver 9 8 7 6 5 3 1 XT5 Series, Power Cord for Braun S3 S6 S7 S8 S5 S9 S1 Electric Razor 3040s 340s 9385cc 370 720 760cc 790cc 720s-4 7865cc 9090cc 9330s 5018s (5Ft)$5.99
EL Wire colourful glasses,Portable Battery Pack Glowing Rope Lights el glasses for Parties,Raves and Halloween$10.89
Durable Replacement Charger USB Charging Cable for TiovaraTrimmer for Men Women, 1 Cleaning Brush, Power Cord 2.7ft (Black)$12.99
2 Pack Shaver Charger USB Cord for Microtouch Solo Electric Shaver Solo Trimmer Charging Cable 31.5 in with 4 Cleaning Brush$7.69
5V USB Charger for Hatteker Cordless Beard Trimmer Hair Clippers RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Electric Shaver Razor Charging Cord$5.59